Loading...
Searching...
No Matches
msrunid.h File Reference
`#include <memory>`
`#include <QString>`
`#include <QMetaType>`
`#include "pappsomspp/core/types.h"`
`#include "pappsomspp/export-import-config.h"`

Go to the source code of this file.

## Classes

class | pappso::MsRunId
| MS run identity MsRunId identifies an MS run with a unique ID (XmlId) and contains eventually informations on its location (local disk path or URL). More...

## Namespaces

namespace | pappso
| tries to keep as much as possible monoisotopes, removing any possible C13 peaks and changes multicharge peaks to monocharge

## Typedefs

typedef std::shared_ptr< MsRunId > | pappso::MsRunIdSPtr
typedef std::shared_ptr< const MsRunId > | pappso::MsRunIdCstSPtr

## Functions

| Q_DECLARE_METATYPE (pappso::MsRunId)
| Q_DECLARE_METATYPE (pappso::MsRunIdCstSPtr)

## Variables

int | msRunIdMetaTypeId
int | msRunIdCstSPtrMetaTypeId

## Function Documentation

## Q_DECLARE_METATYPE() [1/2]

Q_DECLARE_METATYPE | ( | pappso::MsRunId |  | ) |

References msRunIdMetaTypeId.

## Q_DECLARE_METATYPE() [2/2]

Q_DECLARE_METATYPE | ( | pappso::MsRunIdCstSPtr |  | ) |

References msRunIdCstSPtrMetaTypeId.

## Variable Documentation

## msRunIdCstSPtrMetaTypeId

int msRunIdCstSPtrMetaTypeId

extern

Definition at line 32 of file msrunid.cpp.

Referenced by Q_DECLARE_METATYPE().

## msRunIdMetaTypeId

int msRunIdMetaTypeId

extern

Definition at line 29 of file msrunid.cpp.

Referenced by Q_DECLARE_METATYPE().